---
version: "3"

{% if gitea_expose_ssh_port %}
networks:
  exposed-ssh:
    internal: false
    external: false
{% endif %}

services:
  gitea:
{% if gitea_override_image %}
    image: "{{gitea_override_image}}:{{gitea_override_image_version}}"
{% endif %}
{% if gitea_expose_ssh_port %}
    ports:
      - "{{gitea_ssh_port}}:22"
    networks:
      - exposed-ssh
{% endif %}

